Delete a instance configuration

  • DELETE /platform/configuration/instances/{id}
Auth

Delete the instance configuration with the given id.

Path parameters

id string required

ID of the instance configuration

Query parameters

version integer

This is a database-level field, not related to the application-level 'config_version', except as described in the following docs. If specified, checks for conflicts against 'x-cloud-resource-version' from the GET request (the GET's 'config_version' should be left blank if the IC is configuration controlled, ie to get the latest configuration)

only_test_version boolean

If true, the testing version (version -1) will be permanently deleted but the latest IC version will remain untouched. Defaults to false

Responses

Instance configuration specified by {id} was deleted

application/octet-stream

Response Type: object

Instance configuration specified by {id} is system owned (code: 'configuration.system_owned')

application/octet-stream
errors object[] required

A list of errors that occurred in the failing request

code string required

A structured code representing the error type that occurred

message string required

A human readable message describing the error that occurred

fields string[]

If the error can be tied to a specific field or fields in the user request, this lists those fields

Instance configuration specified by {id} cannot be found or the operation failed (code: 'configuration.instance_configuration_not_found')

application/octet-stream
errors object[] required

A list of errors that occurred in the failing request

code string required

A structured code representing the error type that occurred

message string required

A human readable message describing the error that occurred

fields string[]

If the error can be tied to a specific field or fields in the user request, this lists those fields